import { defineStore } from 'pinia';
import { store } from '@/stores';

interface AppState {
  latestRoute: string;
}

export const useAppStore = defineStore({
  id: 'app-app',

  state: (): AppState => {
    return {
      latestRoute: '',
    };
  },

  actions: {
    setLatestRoute(route: string) {
      this.latestRoute = route;
    },
  },
});

export function useAppStoreHook() {
  return useAppStore(store);
}
